# $Revision: 1.30 $, $Date: 2003/08/28 15:52:50 $
Summary:	PAM module for auth UNIX users using an NT
Summary(pl):	Modu PAM autentyfikujcy uytkownikw Linuksa na NT
Summary(pt_BR):	mdulo de autenticao PAM para autenticao contra servidor SMB
Name:		pam_smb
Version:	1.1.7
Release:	1
License:	GPL
Vendor:		David Airlie <airlied@samba.org>
Group:		Networking
Source0:	http://www.csn.ul.ie/~airlied/pam_smb/%{name}-%{version}.tar.gz
# Source0-md5:	44b4881709e209a40239555f30ab5222
Patch0:		%{name}-ac_fixes.patch
URL:		http://www.csn.ul.ie/~airlied/pam_smb/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	pam-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PAM module which allows authentication of UNIX users using an
Microsoft Windows NT(TM) server (or domain).

%description -l pl
Modu PAM pozwalajcy na autentyfikacj uytkownikw Linuksa na
serwerze (lub w domenie) Microsoft Windows NT(TM).

%description -l pt_BR
O pam_smb  um mdulo PAM que permite autenticao de usurios contra
um servidor SMB, que por sua vez pode ser um servidor Samba ou Windows
NT. Pode ser muito til em "redes Windows" onde todos os usurios de
workstations tambm so registrados como usurios NetBIOS, pois as
senhas so mantidas apenas no servidor SMB.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc,lib/security}

install pam_smb_auth.so $RPM_BUILD_ROOT/lib/security
install pam_smb.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/pam_smb.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES TODO pam_smb.conf.example
%attr(755,root,root) /lib/security/pam_smb_auth.so
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/pam_smb.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam_smb.spec,v $
Revision 1.30  2003/08/28 15:52:50  misi3k
- updated to 1.1.7

Revision 1.29  2003/08/27 07:05:24  misi3k
- rel 5
- added security patch
CVE: CAN-2003-0686
BUG:
A buffer overflow vulnerability has been found
that affects unpatched versions of pam_smb
up to and including 1.1.6.

Revision 1.28  2003/05/28 13:00:11  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/02/15 23:01:13  ankry
- Vendor field fix

Revision 1.25  2002/10/07 14:14:56  qboosh
- BR: autoconf,automake; new %%doc

Revision 1.24  2002/05/21 23:14:19  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/04/10 20:11:08  kloczek
- release 4,
- added regenerate ac files and use %%configure macro (added ac_fixes aptch),
- changed Group to Base,
- added pam-devel to BuildRequires.

Revision 1.22  2002/02/23 04:17:26  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:14:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/11/06 21:42:00  kloczek
- bump release to 3,
- merge translations from CNV.

Revision 1.18  2001/11/02 01:28:41  qboosh
- adapterized, fixes in pl translations

Revision 1.17  2001/09/29 11:05:51  blues
- release 2
- configure2_13 used

Revision 1.16  2001/08/22 17:27:56  filon
- removed stripping executables, it's done by rpm automation

Revision 1.15  2001/01/22 21:49:39  areq
- spec adapterized.

Revision 1.14  2001/01/22 21:44:51  areq
- 1.1.6

Revision 1.13  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.11  2000/04/01 11:15:16  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.9  1999/07/20 12:42:26  baggins
- update to 1.1.5

Revision 1.8  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.7  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Oct  4 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0-2]
- added using $RPM_OPT_FLAGS during compile,
- added stripping pam_smb_auth.so module.

* Mon Sep 07 1998 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
  [1.0-1]
- intial RPM,
- added pl translation,
- without any pam module config for any services.
